# MatGetRowMaxAbs

Gets the maximum value (in absolute value) of each row of the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetRowMaxAbs(Mat mat,Vec v,PetscInt idx[])

Collective on Mat and Vec

### Input Parameters

mat -the matrix

### Output Parameter

| v | - the vector for storing the maximums
| idx | - the indices of the column found for each row (optional)

Notes: if a row is completely empty or has only 0.0 values then the idx[] value for that row is 0 (the first column).

This code is only implemented for a couple of matrix formats.

### See Also

MatGetDiagonal(), MatGetSubMatrices(), MatGetSubmatrix(), MatGetRowMax(), MatGetRowMin()

Level:intermediate
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages